package flash.filesystem { 
 class File { 
    function flash.filesystem::File(String):*	; /* disp_id -1*/
    function deleteDirectory(Boolean):void	; /* disp_id 45*/
    function moveToTrash():void	; /* disp_id 51*/
    function copyToAsync(flash.net::FileReference,Boolean):void	; /* disp_id 48*/
    private function _setFileInfo(String,uint,uint):void	; /* disp_id 24*/
    function relativize(flash.net::FileReference,Boolean):String	; /* disp_id 35*/
    private function _cancel():void	; /* disp_id 32*/
    function deleteDirectoryAsync(Boolean):void	; /* disp_id 46*/
    private function resolveComponents(Array,flash.filesystem::File,Boolean):flash.filesystem::File	; /* disp_id 34*/
    private function _isDirectory():Boolean	; /* disp_id 31*/
    function get parent():flash.filesystem::File	; /* disp_id 36*/
    function moveTo(flash.net::FileReference,Boolean):void	; /* disp_id 49*/
    function moveToAsync(flash.net::FileReference,Boolean):void	; /* disp_id 50*/
    function set nativePath(String):void	; /* disp_id 38*/
    function deleteFile():void	; /* disp_id 43*/
    private function setFileInfo(String,uint,uint):void	; /* disp_id 57*/
    function copyTo(flash.net::FileReference,Boolean):void	; /* disp_id 47*/
    private function _isHidden():Boolean	; /* disp_id 29*/
    function createDirectory():void	; /* disp_id 53*/
    function get exists():Boolean	; /* disp_id 26*/
    function clone():flash.filesystem::File	; /* disp_id 56*/
    function set url(String):void	; /* disp_id 42*/
    function canonicalize():void	; /* disp_id 40*/
    private function _getCanonicalPath():String	; /* disp_id 39*/
    function get nativePath():String	; /* disp_id 37*/
    function listDirectoryAsync():void	; /* disp_id 55*/
    function resolve(String):flash.filesystem::File	; /* disp_id 33*/
    function get url():String	; /* disp_id 41*/
    function moveToTrashAsync():void	; /* disp_id 52*/
    function get isDirectory():Boolean	; /* disp_id 30*/
    function toString():String	; /* disp_id 6*/
    function get isHidden():Boolean	; /* disp_id 28*/
    function deleteFileAsync():void	; /* disp_id 44*/
    function listDirectory():Array	; /* disp_id 54*/
    function cancel():void	; /* disp_id 21*/
    private function _exists():Boolean	; /* disp_id 27*/
    private static function initDesktopDir():String	; /* disp_id 21*/
    static function get currentDirectory():flash.filesystem::File	; /* disp_id 26*/
    private static const kNullPointerError:uint = 2007	; /* slot_id 2 */
    private static function get desktopDirectoryPath():String	; /* disp_id 22*/
    private static function get appDataDirectoryPath():String	; /* disp_id 29*/
    private static var m_desktopDirectoryPath:String = null	; /* slot_id 16 */
    private static const m_allBackSlashes:RegExp	; /* slot_id 26 */
    private static function getFile(String,uint,uint):flash.filesystem::File	; /* disp_id 43*/
    private static function initCurrentDir():String	; /* disp_id 24*/
    private static const kFilePermissionLocalStore:uint = 16	; /* slot_id 9 */
    private static function pathFromUrl(String):String	; /* disp_id 41*/
    private static function initUserDir():String	; /* disp_id 15*/
    static function createTempFile():flash.filesystem::File	; /* disp_id 35*/
    static function get documentsDirectory():flash.filesystem::File	; /* disp_id 20*/
    private static var m_appDataDirectoryPath:String = null	; /* slot_id 18 */
    static function listRootDirectories():Array	; /* disp_id 39*/
    private static function pathIsRelative(String):Boolean	; /* disp_id 13*/
    private static var ensureappStorageDir:Boolean = true	; /* slot_id 20 */
    static function get systemCharset():String	; /* disp_id 3*/
    private static const _systemCharset:String	; /* slot_id 4 */
    private static function get appResourceDirectoryPath():String	; /* disp_id 33*/
    private static const kInvalidCallError:uint = 2037	; /* slot_id 1 */
    private static function get userDirectoryPath():String	; /* disp_id 16*/
    private static const kFilePermissionTemp:uint = 32	; /* slot_id 10 */
    private static function _createTempFile():String	; /* disp_id 36*/
    private static function _createTempDirectory():String	; /* disp_id 38*/
    private static const kInvalidParamError:uint = 2004	; /* slot_id 3 */
    private static function pathHasPrefix(String,String):*	; /* disp_id 14*/
    private static function _checkUpdateFor(flash.net::FileReference):*	; /* disp_id 12*/
    static function get desktopDirectory():flash.filesystem::File	; /* disp_id 23*/
    private static const kFilePermissionAppResource:uint = 64	; /* slot_id 11 */
    private static const parentComps:Array	; /* slot_id 13 */
    static function get lineEnding():String	; /* disp_id 7*/
    private static const m_allSlashes:RegExp	; /* slot_id 25 */
    private static function get appStorageDirectoryPath():String	; /* disp_id 30*/
    private static const pathIsURL:RegExp	; /* slot_id 12 */
    private static const fileUrlLocalhostPrefix:RegExp	; /* slot_id 23 */
    private static function _checkAccessFor(flash.net::FileReference):*	; /* disp_id 11*/
    private static function initSeparator():String	; /* disp_id 6*/
    private static function _getAppId():String	; /* disp_id 27*/
    private static function get currentDirectoryPath():String	; /* disp_id 25*/
    private static var m_appResourceDirectoryPath:String = null	; /* slot_id 21 */
    private static const m_allColons:RegExp	; /* slot_id 24 */
    private static var m_currentDirectoryPath:String = null	; /* slot_id 17 */
    private static const kFilePermissionProgrammatic:uint = 8	; /* slot_id 8 */
    private static var m_userDirectoryPath:String = null	; /* slot_id 14 */
    private static const kFilePermissionUpload:uint = 1	; /* slot_id 7 */
    private static function normalizePath(String,Array,Boolean):String	; /* disp_id 42*/
    private static const _lineEnding:String	; /* slot_id 6 */
    private static function initAppDataDirRoot():String	; /* disp_id 28*/
    static function createTempDirectory():flash.filesystem::File	; /* disp_id 37*/
    static function get appResourceDirectory():flash.filesystem::File	; /* disp_id 34*/
    private static function get documentsDirectoryPath():String	; /* disp_id 19*/
    static function get userDirectory():flash.filesystem::File	; /* disp_id 17*/
    private static const uriParts:RegExp	; /* slot_id 22 */
    static function get separator():String	; /* disp_id 5*/
    private static const _separator:String	; /* slot_id 5 */
    private static var m_documentsDirectoryPath:String = null	; /* slot_id 15 */
    private static function initSystemCharset():String	; /* disp_id 4*/
    private static function initAppResourceDir():String	; /* disp_id 32*/
    static function get appStorageDirectory():flash.filesystem::File	; /* disp_id 31*/
    private static var m_appStorageDirectoryPath:String = null	; /* slot_id 19 */
    private static function _getNativePathFor(flash.net::FileReference):String	; /* disp_id 8*/
    private static function _getFlagsFor(flash.net::FileReference):uint	; /* disp_id 10*/
    private static function _getRedlineFor(flash.net::FileReference):uint	; /* disp_id 9*/
    private static function initDocumentsDir():String	; /* disp_id 18*/
    private static function urlFromPath(String):String	; /* disp_id 40*/
    static function flash.filesystem::File$cinit():*	; /* disp_id 0*/
  function script0$init():*	; /* disp_id 0*/

}
}
